Subject: bug#27014: 26.0.50; auto-hscroll-mode and tabulated-list-mode

From: Stephen Berman <[email-masked]>
Date: Mon, 22 May 2017 23:23:39 +0200

On Mon, 22 May 2017 21:19:18 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Date: Mon, 22 May 2017 01:06:50 +0200
>> 
>> 0. emacs -Q
>> 1. Set auto-hscroll-mode to `current-line'.
>> 2. Visit a buffer that uses tabulated-list-mode, e.g. Buffer Menu (C-x
>>    C-b), Package Menu (M-x list-packages), Proced (M-x proced), making
>>    sure that the buffer contains at least one truncated line and a line
>>    below it.
>> 3. Advance point along the truncated line (e.g. by repeating C-f or M-f
>>    or with C-e).
>> => When point gets within hscroll-margin columns of the right window
>>    edge (or further), instead of the current line being scrolled, the
>>    one below it is.
>
> Ah, yes: the header line and its confusing effect on the display
> iterator geometry.  Should be fixed now.

Confirmed, and thanks!

>> (In addition, with Proced, the header line is also scrolled, but that
>> seems to be a Proced bug
>
> It looks like a feature: Proced scrolls the header line to keep the
> column headings in sync with the hscroll.

Ah, hmm.  Doesn't seem all that helpful and was on first encounter
rather confusing, especially since other tabulated-list-based modes like
Buffer Menu and Package Menu don't do this.

Steve Berman